explain_link_or_die(3)

NAME
explain_link_or_die - make a new name for a file and report errors

SYNOPSIS
#include <libexplain/link.h>

void explain_link_or_die(const char *oldpath, const char *newpath);

DESCRIPTION
The explain_link_or_die function is used to call the link(2) system call. On failure an explanation will be printed to stderr, obtained from explain_link(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_link_or_die(oldpath, newpath);

oldpath
    The oldpath, exactly as to be passed to the link(2) system call.

newpath
    The newpath, exactly as to be passed to the link(2) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

link(2)
    make a new name for a file

explain_link(3)
    explain link(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 0.46
Copyright (C) 2008 Peter Miller